'\" t
.\"     Title: DROP VIEW
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2021
.\"    Manual: PostgreSQL 9.6.24 Documentation
.\"    Source: PostgreSQL 9.6.24
.\"  Language: English
.\"
.TH "DROP VIEW" "7" "2021" "PostgreSQL 9.6.24" "PostgreSQL 9.6.24 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
DROP_VIEW \- remove a view
.SH "SYNOPSIS"
.sp
.nf
DROP VIEW [ IF EXISTS ] \fIname\fR [, \&.\&.\&.] [ CASCADE | RESTRICT ]
.fi
.SH "DESCRIPTION"
.PP
\fBDROP VIEW\fR
drops an existing view\&. To execute this command you must be the owner of the view\&.
.SH "PARAMETERS"
.PP
IF EXISTS
.RS 4
Do not throw an error if the view does not exist\&. A notice is issued in this case\&.
.RE
.PP
\fIname\fR
.RS 4
The name (optionally schema\-qualified) of the view to remove\&.
.RE
.PP
CASCADE
.RS 4
Automatically drop objects that depend on the view (such as other views), and in turn all objects that depend on those objects (see
Section 5.13, \(lqDependency Tracking\(rq, in the documentation)\&.
.RE
.PP
RESTRICT
.RS 4
Refuse to drop the view if any objects depend on it\&. This is the default\&.
.RE
.SH "EXAMPLES"
.PP
This command will remove the view called
kinds:
.sp
.if n \{\
.RS 4
.\}
.nf
DROP VIEW kinds;
.fi
.if n \{\
.RE
.\}
.SH "COMPATIBILITY"
.PP
This command conforms to the SQL standard, except that the standard only allows one view to be dropped per command, and apart from the
IF EXISTS
option, which is a
PostgreSQL
extension\&.
.SH "SEE ALSO"
ALTER VIEW (\fBALTER_VIEW\fR(7)), CREATE VIEW (\fBCREATE_VIEW\fR(7))
